librime: rime::ExpressEditor Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::ExpressEditor Class Reference

`#include <editor.h>`

Inheritance diagram for rime::ExpressEditor:
[legend]
Collaboration diagram for rime::ExpressEditor:
[legend]

## Public Member Functions
| ExpressEditor (const Ticket &ticket)
Public Member Functions inherited from rime::Editor
| Editor (const Ticket &ticket, bool auto_commit)
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event)
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const
Public Member Functions inherited from rime::KeyBindingProcessor< Editor >
| KeyBindingProcessor (ActionDef *action_definitions)
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event, Context *ctx, int keymap_selector=0, int fallback_options=FallbackOptions::None)
void | LoadConfig (Config *config, const string &section, int kemap_selector=0)

## Additional Inherited Members
Public Types inherited from rime::Editor
typedef ProcessResult | CharHandler(Context *ctx, int ch)
using | CharHandlerPtr = ProcessResult (Editor::*)(Context* ctx, int ch)
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Public Types inherited from rime::KeyBindingProcessor< Editor >
enum | FallbackOptions
typedef bool | Handler(Context *ctx)
using | HandlerPtr
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)
Public Attributes inherited from rime::Editor
Handler | Confirm
Handler | ToggleSelection
Handler | CommitComment
Handler | CommitScriptText
Handler | CommitRawInput
Handler | CommitComposition
Handler | RevertLastEdit
Handler | BackToPreviousInput
Handler | BackToPreviousSyllable
Handler | DeleteCandidate
Handler | DeleteChar
Handler | CancelComposition
CharHandler | DirectCommit
CharHandler | AddToInput
Static Public Attributes inherited from rime::KeyBindingProcessor< Editor >
static const ActionDef | kActionNoop
Protected Member Functions inherited from rime::Editor
void | LoadConfig ()
Protected Member Functions inherited from rime::KeyBindingProcessor< Editor >
Keymap & | get_keymap (int keymap_selector=0)
bool | Accept (const KeyEvent &key_event, Context *ctx, Keymap &keymap)
Protected Attributes inherited from rime::Editor
CharHandlerPtr | char_handler_ = nullptr
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Constructor & Destructor Documentation

## ◆ ExpressEditor()

rime::ExpressEditor::ExpressEditor | ( | const Ticket & | ticket | ) |

The documentation for this class was generated from the following files:

- editor.h
- editor.cc